export const OffShelfType = {
  DEL: 0,
  GROUNDING: 1,
  SHELVES: 2,
  ISSUE: 3,
  FAIL: 4,
  AUDIT: 5,
  CHECK_FAIL: 6,
  OFFERING: 7,
  CANCELED: 8,
  DRAFT: 9,
  PREHEAT: 10
}

export const OffShelfTypeObj = {
  [OffShelfType.DEL]: {
    label: '删除',
    color: 'error'
  },
  [OffShelfType.GROUNDING]: {
    label: '已上架',
    color: 'success'
  },
  [OffShelfType.SHELVES]: {
    label: '已下架',
    color: 'default'
  },
  [OffShelfType.ISSUE]: {
    label: '发行中',
    color: 'default'
  },
  [OffShelfType.FAIL]: {
    label: '失败',
    color: 'error'
  },
  [OffShelfType.AUDIT]: {
    label: '待审核',
    color: 'default'
  },
  [OffShelfType.CHECK_FAIL]: {
    label: '已驳回',
    color: 'error'
  },
  [OffShelfType.OFFERING]: {
    label: '待上架',
    color: 'default'
  },
  [OffShelfType.CANCELED]: {
    label: '已取消',
    color: 'default'
  },
  [OffShelfType.DRAFT]: {
    label: '草稿',
    color: 'default'
  },
  [OffShelfType.PREHEAT]: {
    label: '预热中',
    color: 'default'
  }
}
export const IsAppendType = {
  VERY_BAD: 1,
  BAD: 2,
  COMMONLY: 3,
  GOOD: 4,
  VERY_GOOD: 5
}

export const IsAppendTypeObj = {
  [IsAppendType.VERY_BAD]: {
    label: '非常差',
    color: 'default'
  },
  [IsAppendType.BAD]: {
    label: '差',
    color: 'default'
  },
  [IsAppendType.COMMONLY]: {
    label: '一般',
    color: 'default'
  },
  [IsAppendType.GOOD]: {
    label: '好',
    color: 'default'
  },
  [IsAppendType.VERY_GOOD]: {
    label: '非常好',
    color: 'default'
  }
}
export const IsReplyType = {
  NO_REPLIED: 0,
  REPLIED: 1,
  REVIEW_REPLIED: 2
}

export const IsReplyTypeObj = {
  [IsReplyType.NO_REPLIED]: {
    label: '未回复',
    color: 'default'
  },
  [IsReplyType.REPLIED]: {
    label: '已回复',
    color: 'default'
  },
  [IsReplyType.REVIEW_REPLIED]: {
    label: '追评已回复',
    color: 'default'
  }
}

export const TradType = {
  StockRecharge: 1,
  GoodsSales: 2,
  GoodsRefund: 3
}

export const TradTypeObj = {
  [TradType.StockRecharge]: '库存充值',
  [TradType.GoodsSales]: '商品销售',
  [TradType.GoodsRefund]: '商品退货'
}
export const SalesType = {
  ORDINARY: 1,
  PRE_SALE: 2,
  AUCTION: 3,
  BLINDBOX: 4,
  FREE: 5
}

export const SalesTypeObj = {
  [SalesType.ORDINARY]: {
    label: '普通',
    color: 'default'
  },
  [SalesType.PRE_SALE]: {
    label: '预售',
    color: 'default'
  },
  [SalesType.AUCTION]: {
    label: '拍卖',
    color: 'default'
  },
  [SalesType.BLINDBOX]: {
    label: '盲盒',
    color: 'default'
  },
  [SalesType.FREE]: {
    label: '免费领取',
    color: 'default'
  }
}
export const ShopType = {
  ORDINARY: 1,
  FICTITIOUS: 2,
  PACK: 3,
  NFT: 4

}
export const ShopTypeObj = {
  [ShopType.ORDINARY]: {
    label: '普通',
    color: 'default'
  },
  [ShopType.FICTITIOUS]: {
    label: '虚拟',
    color: 'default'
  },
  [ShopType.PACK]: {
    label: '打包',
    color: 'default'
  },
  [ShopType.NFT]: {
    label: 'NFT',
    color: 'default'
  }
}
